Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.calendar
Class Day

    java.lang.Object
      portlets.compoze.groupware.calendar.Day

All Implemented Interfaces:
  java.io.Serializable

public class Day
extends java.lang.Object
implements java.io.Serializable

This class represents a day for display.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `Day.Interval` This class represents an interval in a day.

Constructor Summary
`Day(Appointment[] appointments, java.util.Date givenDate, int iStartHour, int iEndHour, int iInterval, java.util.Calendar cal)` Constructor.

Method Summary
`Appointment[]` | `getAllDayEvents()` Gets the all day & anniversary events for this day.
`int` | `getEntryCount()` Gets the entry count.
`Day.Interval[]` | `getIntervals()` Gets the intervals for the day.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Day

    public Day(Appointment[] appointments,
               java.util.Date givenDate,
               int iStartHour,
               int iEndHour,
               int iInterval,
               java.util.Calendar cal)

  Constructor.

Parameters:
  `appointments` - the appointments
  `givenDate` - the given date of the day
  `iStartHour` - the start hour of day
  `iEndHour` - the end hour of day
  `iInterval` - the interval (in minutes)
  `cal` - the calendar

Method Detail

### getAllDayEvents

    public Appointment[] getAllDayEvents()

  Gets the all day & anniversary events for this day.

  Returns:
    an array of appointment or an empty array for none
  See Also:
    `AppointmentType.ANNIVERSARY`, `Appointment.isAllDayEvent()`

### getIntervals

    public Day.Interval[] getIntervals()

  Gets the intervals for the day.

  Returns:
    the intervals for the day

### getEntryCount

    public int getEntryCount()

  Gets the entry count.

  Returns:
    the entry count.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.